TAIL(1)

NOMBRE
tail - muestra la parte final de un archivo

SINOPSIS
tail [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

Muestra por la salida estándar las últimas 10 líneas de cada ARCHIVO. Si se indica más de un archivo, se encabeza cada salida con su nombre.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-c, --bytes=[+]NUM
    muestra los últimos NUM bytes; o emplea -c +NUM para mostrar a partir del byte NUM de cada archivo

-f, --follow[={nombre|descriptor}]
    muestra los datos que se van añadiendo al archivo;

    si se especifica la opción sin un argumento, se sobreentenderá 'descriptor'

-F  igual que --follow=nombre --retry

-n, --líneas=[+]NUM
    muestra las últimas NUM líneas, por defecto mostraría 10; o emplea -n +NUM para mostrar a partir de la línea NUM

--max-unchanged-stats=N
    seguido de --follow=nombre, reabre un archivo que no

    modificó su tamaño después de N (por defecto son 5) iteraciones para comprobar si se borró su enlace o se renombró (frecuente al rotar archivos de registro). Con inotify, esta opción suele tener escasa utilidad.

--pid=PID
    con -f, termina después de hacerlo el proceso al que pertenece este PID

-q, --quiet, --silent
    no muestra encabezados con los nombres de archivo

--retry
    intenta continuamente abrir un archivo si no es accesible

-s, --sleep-interval=N
    Con -f, se detiene aproximadamente N segundos (por defecto 1,0) entre cada iteración. Con inotify y --pid=P, comprobará el proceso P cada N segundos

-v, --verbose
    muestra siempre encabezados con los nombres de los archivos

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

NUM puede incluir un sufijo multiplicador: b 512, kB 1000, K 1024, MB 1000*1000, M 1024*1024, GB 1000*1000*1000, G 1024*1024*1024 y sucesivos para T, P, E, Z, Y. También es posible emplear prefijos binarios: KiB=K, MiB=M y así sucesivamente.

Con la opción --follow (-f), tail sigue al descriptor del archivo; esto hace que aunque ese archivo se renombre, tail seguirá mostrando sus últimas líneas. Esto no es adecuado si lo que desea es trabajar con el nombre del archivo en lugar de hacerlo con el descriptor (p.ej: en los archivos de registro cuando son rotados) en cuyo caso deberá emplear la opcion --follow=nombre. Esta última opción hace que tail siga el archivo indicado aunque se cree de nuevo, se renombre o se borre.

AUTOR
Escrito por Paul Rubin, David MacKenzie, Ian Lance Taylor y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
head(1)

Documentación completa:<https://www.gnu.org/software/coreutils/tail>
también disponible localmente ejecutando: info '(coreutils) tail invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.